iMX6 Make Error 127 with Freescale Android KK4.4.3_2.0.0-ga

cancel
Showing results for 
Search instead for 
Did you mean: 

iMX6 Make Error 127 with Freescale Android KK4.4.3_2.0.0-ga

238 Views
Contributor II

Pertaining to the Android User's Guide from Freescale, Document Number: AUG, Rev KK4.4.3_2.0.0-ga, 02/2015

While following instructions in section 3.4 Building Android images

$ cd ~/myandroid

$ source build/envsetup.sh

$ lunch sabresd_6dq-user

$ make 2>&1 | tee build_sabresd_6dq_android.log

I discovered an error after the first make command:

make: *** [out/host/linux-x86/obj/EXECUTABLES/aidl_intermediates/aidl_language_l.cpp] Error 127

Some online searching revealed a nice list of common android errors and the suggested solutions:
http://www.phonesdevelopers.com/1715825/

In this case, the solution is to install the flex package (not mentioned in the document)

sudo apt-get install flex

Labels (3)
0 Kudos
0 Replies